Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm
Interface LCMPackage.Literals

Enclosing interface:
  LCMPackage

    public static interface LCMPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ACCEPT_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Accept Objects Request Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ACCEPT_OBJECTS_REQUEST_TYPE__CORRELATION_ID` The meta object literal for the 'Correlation Id' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `APPROVE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Approve Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `APPROVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The meta object literal for the 'Adhoc Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `DEPRECATE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Deprecate Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `DEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The meta object literal for the 'Adhoc Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ACCEPT_OBJECTS_REQUEST` The meta object literal for the 'Accept Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST` The meta object literal for the 'Approve Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST` The meta object literal for the 'Deprecate Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__RELOCATE_OBJECTS_REQUEST` The meta object literal for the 'Relocate Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST` The meta object literal for the 'Remove Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST` The meta object literal for the 'Submit Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__UNDEPRECATE_OBJECTS_REQUEST` The meta object literal for the 'Undeprecate Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST` The meta object literal for the 'Update Objects Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` | `RELOCATE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Relocate Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `RELOCATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The meta object literal for the 'Adhoc Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `RELOCATE_OBJECTS_REQUEST_TYPE__DESTINATION_REGISTRY` The meta object literal for the 'Destination Registry' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_DESTINATION` The meta object literal for the 'Owner At Destination' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_SOURCE` The meta object literal for the 'Owner At Source' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `RELOCATE_OBJECTS_REQUEST_TYPE__SOURCE_REGISTRY` The meta object literal for the 'Source Registry' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `REMOVE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Remove Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REMOVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The meta object literal for the 'Adhoc Query' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE` The meta object literal for the 'Deletion Scope' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SUBMIT_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Submit Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SUBMIT_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST` The meta object literal for the 'Registry Object List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Undeprecate Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The meta object literal for the 'Adhoc Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `UPDATE_OBJECTS_REQUEST_TYPE` The meta object literal for the '`Update Objects Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `UPDATE_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST` The meta object literal for the 'Registry Object List' containment reference feature.

Field Detail

### ACCEPT_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass ACCEPT_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Accept Objects Request Type`' class.

  See Also:
    `AcceptObjectsRequestTypeImpl`, `LCMPackageImpl.getAcceptObjectsRequestType()`

### ACCEPT_OBJECTS_REQUEST_TYPE__CORRELATION_ID

    static final org.eclipse.emf.ecore.EAttribute ACCEPT_OBJECTS_REQUEST_TYPE__CORRELATION_ID

  The meta object literal for the 'Correlation Id' attribute feature.

### APPROVE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass APPROVE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Approve Objects Request Type`' class.

  See Also:
    `ApproveObjectsRequestTypeImpl`, `LCMPackageImpl.getApproveObjectsRequestType()`

### APPROVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final org.eclipse.emf.ecore.EReference APPROVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The meta object literal for the 'Adhoc Query' containment reference feature.

### APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### DEPRECATE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass DEPRECATE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Deprecate Objects Request Type`' class.

  See Also:
    `DeprecateObjectsRequestTypeImpl`, `LCMPackageImpl.getDeprecateObjectsRequestType()`

### DEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final org.eclipse.emf.ecore.EReference DEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The meta object literal for the 'Adhoc Query' containment reference feature.

### DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `LCMPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ACCEPT_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ACCEPT_OBJECTS_REQUEST

  The meta object literal for the 'Accept Objects Request' containment reference feature.

### DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

  The meta object literal for the 'Approve Objects Request' containment reference feature.

### DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

  The meta object literal for the 'Deprecate Objects Request' containment reference feature.

### DOCUMENT_ROOT__RELOCATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__RELOCATE_OBJECTS_REQUEST

  The meta object literal for the 'Relocate Objects Request' containment reference feature.

### DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

  The meta object literal for the 'Remove Objects Request' containment reference feature.

### DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

  The meta object literal for the 'Submit Objects Request' containment reference feature.

### DOCUMENT_ROOT__UNDEPRECATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__UNDEPRECATE_OBJECTS_REQUEST

  The meta object literal for the 'Undeprecate Objects Request' containment reference feature.

### DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

  The meta object literal for the 'Update Objects Request' containment reference feature.

### RELOCATE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass RELOCATE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Relocate Objects Request Type`' class.

  See Also:
    `RelocateObjectsRequestTypeImpl`, `LCMPackageImpl.getRelocateObjectsRequestType()`

### RELOCATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final org.eclipse.emf.ecore.EReference RELOCATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The meta object literal for the 'Adhoc Query' containment reference feature.

### RELOCATE_OBJECTS_REQUEST_TYPE__SOURCE_REGISTRY

    static final org.eclipse.emf.ecore.EReference RELOCATE_OBJECTS_REQUEST_TYPE__SOURCE_REGISTRY

  The meta object literal for the 'Source Registry' containment reference feature.

### RELOCATE_OBJECTS_REQUEST_TYPE__DESTINATION_REGISTRY

    static final org.eclipse.emf.ecore.EReference RELOCATE_OBJECTS_REQUEST_TYPE__DESTINATION_REGISTRY

  The meta object literal for the 'Destination Registry' containment reference feature.

### RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_SOURCE

    static final org.eclipse.emf.ecore.EReference RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_SOURCE

  The meta object literal for the 'Owner At Source' containment reference feature.

### RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_DESTINATION

    static final org.eclipse.emf.ecore.EReference RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_DESTINATION

  The meta object literal for the 'Owner At Destination' containment reference feature.

### REMOVE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass REMOVE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Remove Objects Request Type`' class.

  See Also:
    `RemoveObjectsRequestTypeImpl`, `LCMPackageImpl.getRemoveObjectsRequestType()`

### REMOVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final org.eclipse.emf.ecore.EReference REMOVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The meta object literal for the 'Adhoc Query' containment reference feature.

### REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

    static final org.eclipse.emf.ecore.EAttribute REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

  The meta object literal for the 'Deletion Scope' attribute feature.

### SUBMIT_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass SUBMIT_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Submit Objects Request Type`' class.

  See Also:
    `SubmitObjectsRequestTypeImpl`, `LCMPackageImpl.getSubmitObjectsRequestType()`

### SUBMIT_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference SUBMIT_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

  The meta object literal for the 'Registry Object List' containment reference feature.

### UNDEPRECATE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass UNDEPRECATE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Undeprecate Objects Request Type`' class.

  See Also:
    `UndeprecateObjectsRequestTypeImpl`, `LCMPackageImpl.getUndeprecateObjectsRequestType()`

### UNDEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final org.eclipse.emf.ecore.EReference UNDEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The meta object literal for the 'Adhoc Query' containment reference feature.

### UNDEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference UNDEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### UPDATE_OBJECTS_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass UPDATE_OBJECTS_REQUEST_TYPE

  The meta object literal for the '`Update Objects Request Type`' class.

  See Also:
    `UpdateObjectsRequestTypeImpl`, `LCMPackageImpl.getUpdateObjectsRequestType()`

### UPDATE_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference UPDATE_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

  The meta object literal for the 'Registry Object List' containment reference feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD